{ pkgs  , ... } :

with pkgs . kernelmaft ;

{
	systemd = {
		units = {
			"bookwyrm.service" = {
				text = ''
					[Unit]
					After=network.target

					[Service]
					ExecStart=${bookwyrm}/bin/bookwyrm
					StateDirectory=bookwyrm  # Creates /var/lib/bookwyrm directory
					WorkingDirectory=/var/lib/bookwyrm
				'' ;
			} ;
		} ;
	} ;
}
